Bio::Phylo::Util::StackTrace(3)

NAME
Bio::Phylo::Util::StackTrace - Stack traces for exceptions

SYNOPSIS
 use Bio::Phylo::Util::StackTrace;
 my $trace = Bio::Phylo::Util::StackTrace->new;
 print $trace->as_string;

DESCRIPTION
This is a simple stack trace object that is used by Bio::Phylo::Util::Exceptions. At the moment of its instantiation, it creates a full list of all frames in the call stack (except those originating from with the exceptions class). These can subsequently be stringified by calling as_string().

(If you have no idea what any of this means, don't worry: this class is mostly for internal usage. You can probably ignore this safely.)

METHODS

  CONSTRUCTOR

new()
    Stack trace object constructor.

     Type    : Constructor
     Title   : new
     Usage   : my $trace = Bio::Phylo::Util::StackTrace->new
     Function: Instantiates a Bio::Phylo::Util::StackTrace
               object.
     Returns : A Bio::Phylo::Util::StackTrace.
     Args    : None

  SERIALIZERS

as_string()
    Creates a string representation of the stack trace

     Type    : Serializer
     Title   : as_string
     Usage   : print $trace->as_string
     Function: Creates a string representation of the stack trace
     Returns : String
     Args    : None

SEE ALSO
There is a mailing list at <https://groups.google.com/forum/#!forum/bio-phylo> for any user or developer questions and discussions.

Bio::Phylo::Util::Exceptions
    The stack trace object is used internally by the exception classes.

Bio::Phylo::Manual
    Also see the manual: Bio::Phylo::Manual and <http://rutgervos.blogspot.com>.

CITATION
If you use Bio::Phylo in published research, please cite it:

Rutger A Vos, Jason Caravas, Klaas Hartmann, Mark A Jensen and Chase Miller, 2011. Bio::Phylo - phyloinformatic analysis using Perl. BMC Bioinformatics 12:63. <http://dx.doi.org/10.1186/1471-2105-12-63>